#
# Copyright (c) 2002, Art Haas
#
# this is a simple makefile to run a simple testsuite
#
# this file use GNU make syntax
#

test_files := arctest.py circletest.py clinetest.py \
              intertest.py layertest.py pointtest.py segtest.py \
              spclinetest.py

python_path := $(dir $(shell pwd))

all: test

test:
	@echo ${python_path}
	@for test in ${test_files}; do \
	  echo "Running $${test} ..."; \
	  PYTHONPATH=${python_path} python $${test}; \
	done
